<<LinearAlgebra`Orthogonalization`;

<< Statistics`DataManipulation`;
<< Statistics`NormalDistribution`;

ndist = NormalDistribution[0,1];

accu[li_,x_]:=Block[{jj=1,len,lis},len=Length[li];lis=Sort[li];
      While[(lis[[jj]]<x)&&jj<len,++jj];
      (jj-1)/len
      ];

randunitary[n_]:=
    GramSchmidt[Table[Random[ndist]+Random[ndist]*I,{i,1,n},{j,1,n}],
      InnerProduct\[Rule](#1.Conjugate[#2]&)];

